function [train_data]=RS_data(new_set,num,NI,dev,train_set,min_diff);
%
%Program to create a set of randomly generated data points for 
%random search optimization
%created on: 9/16/2005 by John Brigham
%last updated: 4/26/2007 JCB
%
%define global variables
global minp;
global maxp;
global num_RS_loop;
%
%set seed for random number generation based on clock for randomness
rand('state',sum(100*clock));
%
for k=1:num
    check=0;
    count=0;
    while (check==0)
        %set check to stop value
        check=1;
        %create normally distributed random parameter set
        for i=1:NI
            input(k,i)=normrnd(new_set(i),dev(i),1,1);
        end
        %
        %check to see if the new set is too close to any existing sets
        for j=1:length(train_set(:,1))
            diff=(input(k,:)-train_set(j,1:NI))./train_set(j,1:NI);
            av_diff=sum(abs(diff))/NI;
            %if set is too close set check to continue value
            if (av_diff < min_diff)
                check=0;
            end
        end
        %
        %check to see if the new set is out of range
        for j=1:NI
            if (input(k,j) < minp(j)) | (input(k,j) > maxp(j))
                check=0;
            end
        end
        if (count >= num_RS_loop)
            input(k,:)=rand(1,length(minp)).*(maxp-minp)+minp.*ones(1,length(minp));
            check = 1;
        end
        count=count+1;
    end
end
%
%simulate the new parameter sets
%
for i=1:num
    train_data(i,:)=sim_fnct(input(i,:));
end