function [fitness]=ga_function(input_norm);
%
%program to compute the fitness for a GA from the NN output
%Created by:  John C. Brigham
%Last Update:  2/12/2007 JCB
%
global minp;
global maxp;
global net;
global mxi;
global mxj;
global nn_minv;
global nn_maxv;
%
%Load the experimental data
test_data=load('test_data.txt');
NR=length(test_data(1,:));  %Automatically chosen as # of analysis outputs
%
%denormalize input to check if out of range
input=input_norm.*mxi;
%
%Check if any input is out of range, if it is give it a high error
checkparam=0;
for i=1:length(input)
    if (input(i) > maxp(i)) | (input(i) < minp(i)) | (input(i) > nn_maxv(i)) | (input(i) < nn_minv(i))
        checkparam=1;
    end
end
if checkparam == 1
    fitness=100000;
else
    out_datan=sim(net,input_norm');
    out_data=(out_datan').*mxj;
    [fitness]=get_Error(test_data,out_data,input);
end
