function [X,FVAL,REASON,OUTPUT,POPULATION,SCORES] =  genetic
%%   This is an auto generated M file to do optimization with the Genetic Algorithm and
%    Direct Search Toolbox. Use GAOPTIMSET for default GA options structure.
%Created by:  John C. Brigham
%Last Update:  2/12/2007 JCB
%
%%Fitness function
fitnessFunction = @ga_function;
%
%load global variables
global mxi;
global nn_minv;
global nn_maxv;
global minp;
global maxp;
%
%specify the number of optimization variables
nvars = length(minp);
%
%create bounds for the data generation
for ii=1:length(mxi)
    if (nn_minv(ii) < minp(ii))
        lb(ii) = minp(ii)/mxi(ii);
    else
        lb(ii) = nn_minv(ii)/mxi(ii);
    end
    if (nn_maxv(ii) > maxp(ii))
        ub(ii) = maxp(ii)/mxi(ii);
    else
        ub(ii) = nn_maxv(ii)/mxi(ii);
    end
end
%
%Start with default options
options = gaoptimset;
%%Modify some parameters
%specify optimization range
options = gaoptimset(options,'PopInitRange' ,[lb ; ub]);
%use population of size 100 individuals
options = gaoptimset(options,'PopulationSize' ,100);
%set stall time to infinite
options = gaoptimset(options,'StallTimeLimit' ,Inf);
%set mutation to uniform with %10 occurance rate
options = gaoptimset(options,'MutationFcn', {@mutationuniform, 0.1});
%set crossover to two point if more than 10 variables
if (nvars > 10)
    options = gaoptimset(options,'CrossoverFcn' ,@crossovertwopoint);
else
    options = gaoptimset(options,'CrossoverFcn' ,@crossoversinglepoint);
end
%set plotting functions
options = gaoptimset(options,'Display' ,'off');
%options = gaoptimset(options,'PlotFcns' ,{ @gaplotbestf });
%
%Run GA
[X,FVAL,REASON,OUTPUT,POPULATION,SCORES] = ga(fitnessFunction,nvars,options);
%
%Run direct search
[X,FVAL,EXITFLAG]=fminsearch(@ga_function,X);