function [best_set]=search_pole(train_data,NI,num_sets,set_percent);
%
%Program to obtain a set of vectors to be used to generate random data
%based on a number of the best and then one that is farthest away out of a
%given top number of sets
%Created by:  John C. Brigham
%Last Update:  2/12/2007 JCB
%
%obtain size of search set based on percentage given
group=set_percent*length(train_data(:,1));
select_group=floor(group);
%
%create a new matrix of the select_group number of the lowest errors above
%and get the distances for those vectors
for i=1:select_group
    dist_mat(i,1:NI)=train_data(i+1,1:NI);
    norm_v=dist_mat(i,1:NI)./train_data(1,1:NI)-ones(1,NI);
    dist_mat(i,NI+1)=sqrt(norm_v*norm_v');
end
%
%sort the rows so that ordered by distance from best by low to high
dist_sort=sortrows(dist_mat,NI+1);
%
%add the sets with the greatest distance to the best_set to search poles
for ii=1:num_sets
    best_set(ii,:)=dist_sort(select_group-ii+1,1:NI);
end