function [train_set]=sim_fnct(input);

%Program to simulate a given function for an input data set
%created on: 9/16/2005 by John Brigham
%last updated: 4/17/2007 JCB
%Comments:  Need to specify what output variables being used to solve the
%inverse problem for the given experiment
%Currently takes all output available in pressure file
%
%specify normalization point from output
%norm_num=11;
%
% %open nodes file and write node number for reading with python script
% NodeNum=[7804, 12865, 1962];
% fid=fopen('Nodes','w');
% fprintf(fid,'%i',NodeNum);
% fclose(fid);
%
%Create include file for FEA
%
v=0.3;
E0=69000000000;
C=input(1);
p=input(2);
a=input(3);
b=input(4);

% Define variables
constmat=[E0,v,C,p,a,b];
csvwrite('CONSTANTS.txt',constmat);
! abaqus job=C025 user=plainstress interactive cpus=4
! abaqus python C025.py
format long
% Import experimental data
MM(1,:)=load('displacmentplainstress1.txt');
for jj=1:3
for ii=1:4
 Mat(jj,ii)=MM(:,ii+(4*(jj-1)));

 end
 end



 constmat=[69000000000 0.3  0.01 x(i) y(j) n];
        csvwrite('CONSTANTS.txt',constmat);
         
       ! abaqus job=C025 user=plainstressSQuare interactive cpus=4
       ! abaqus python C025.py
       MM(1,:)=load('displacmentplainstress1.txt');
       for jj=1:freq
           for ii=1:sensorN
           Mat(jj,ii)=MM(:,ii+(sensorN*(jj-1)));
           end
       end


%Run ABAQUS to analyze the model
%
! abaqus job=plane_chalk_fluid_mesh2 user=umat_RBF1 interactive
%
%run the python code to post process the ABAQUS .odb to get output
%
! abaqus python displacement.py
%
%load the acoustic emission output created by python
%
pressure=load('pressure.txt');
%
%convert the complex and real response in pressure to a magnitude
%and create a matrix of the frequency and magnitude of pressure response
%
real=pressure(:,3);
complex=pressure(:,4);
for i=1:length(real)
    AE(i,:)=[pressure(i,2),sqrt(real(i)^2+complex(i)^2)];
end
%
%normalize by maximum of pressures
Pmax=max(AE(:,2));
output=AE(:,2)'/Pmax;
%
%create training set with the inputs and the outputs of the model
%
train_set=[input,output];