function trainNN(NI,NO,train_data);

%Program to train NN given architecture and training parameters
%created on: 9/15/2005 by John Brigham
%last updated: 4/26/2007 by John Brigham
%
%initialize globals
global net;
global mxi;
global mxj;
global HN;
global min_train;
global max_HN;
global epochs;
global showepoch;
global trainerror;
%
%initialize normalizers to zero
mxi=zeros(1,NI);
mxj=zeros(1,NO);
%
%Create min/max matrix for creating the neural network objects
%the min and max will be between -1 and 1
for i=1:NI
    PR(i,1:2)=[-1,1];
end
%
%Train a NN for the surrogate model
net=newff(PR,[HN,HN,NO],{'tansig','tansig','tansig'},'trainrp');
%
%Determine the normalization parameters for the NN
for i=1:NI
    mxi(i)=max(abs(train_data(:,i)))*1.25;
end
for i=1:NO
    mxj(i)=max(abs(train_data(:,NI+i)))*1.25;
end
%
%set up training data for training
input=train_data(:,1:NI)';
output=train_data(:,NI+1:NI+NO)';
for i=1:NI  %Normalize inputs
    inputn(i,:)=input(i,:)/mxi(i);
end
for i=1:NO  %Normalize outputs
    outputn(i,:)=output(i,:)/mxj(i);
end
%
%While the NN training error is above a certain tolerance
%Train the NN with the training values
train_tol=1;
max_check=0;
while (max_check ~= 1)
    net.trainParam.epochs = epochs;
    net.trainParam.show = showepoch;
    net.trainParam.goal = trainerror;
    [net,tr]=train(net,inputn,outputn);       %train NN
    train_tol=tr.perf(length(tr.perf));
    if ((train_tol > min_train) & (HN < max_HN))
        HN=HN+2;
        for i=1:NI
            PR(i,1:2)=[-1,1];
        end
        net=newff(PR,[HN,HN,NO],{'tansig','tansig','tansig'},'trainrp');
    else
        max_check=1;
    end
end