
!***************************************************************
! Subroutine that uses radial basis functions for estimating spa_
! tially varying young's modulus
!****************************************************************
	SUBROUTINE UMAT(STRESS,STATEV,DDSDDE,SSE,SPD,SCD,&
	&RPL,DDSDDT,DRPLDE,DRPLDT,&
	&STRAN,DSTRAN,TIME,DTIME,TEMP,DTEMP,PREDEF,DPRED,CMNAME,&
	&NDI,NSHR,NTENS,NSTATV,PROPS,NPROPS,COORDS,DROT,PNEWDT,&
	&CELENT,DFGRD0,DFGRD1,NOEL,NPT,LAYER,KSPT,KSTEP,KINC)
!
	INCLUDE 'ABA_PARAM.INC'
!
	CHARACTER*80 CMNAME
	DIMENSION STRESS(NTENS),STATEV(NSTATV),&
	&DDSDDE(NTENS,NTENS),DDSDDT(NTENS),DRPLDE(NTENS),&
	&STRAN(NTENS),DSTRAN(NTENS),TIME(2),PREDEF(1),DPRED(1),&
	&PROPS(NPROPS),COORDS(3),DROT(3,3),DFGRD0(3,3),DFGRD1(3,3)
!*******************************************************************	 
!	MATERIAL PROPERTIES AS PASSED ON PROPS BY ABAQUS
!	PROPS(1)= N		// Number of RBFs
!	PROPS(2)=E0		// Background modulus
!	PROPS(3)=NU		// Poisson's ratio
!	PROPS(4)= A1	// Coefficient in front of RBF	
!	PROPS(5)= X1	// X coordinate of RBF 1
!	PROPS(6)= Y1	// Y Coord of RBF 1
!	PROPS(7)= C1	// C parameter of RBF 1
!	PROPS(8)= A2
!	PROPS(9)= X2
!	PROPS(10)=  Y2
!	PROPS(11)=  C2
!	PROPS(12)=  A3
!	PROPS(13)= X3
!	PROPS(14)= Y3		  			
!     PROPS(15)= C3
!     PROPS(16)= ETC....
!*******************************************************************
!       
!	Local Variables
!
	integer i,l,k
	double precision E, NU, XINT, YINT, Q, r
	double precision A(PROPS(1)), X(PROPS(1)), Y(PROPS(1))
	double precision C(PROPS(1))
!

	N=PROPS(1)	
	E=PROPS(2)
	NU=PROPS(3)
	
!	Read values in props into arrays
	do i=1,N
		A(i)=PROPS(4+4*(i-1))
		X(i)=PROPS(5+4*(i-1))
		Y(i)=PROPS(6+4*(i-1))
		C(i)=PROPS(7+4*(i-1))
	end do
	write(7,*) A
	write(7,*) X
	write(7,*) Y
	write(7,*) C
		
!	Coordinates of curent integration point
	XINT=COORDS(1)
	YINT=COORDS(2)
!	Initializing Jacobian
!		
	do k=1,NTENS
	   do l=1,NTENS
		DDSDDE(l,k)=0.	
	   end do
	end do
!
!	Compute E at this integration point
	do i=1,N
		E=E+A(i)*exp(-((XINT-X(i))**2+(YINT-Y(i))**2)/C(i)**2)
	end do

!	E=2.5*(10.0**8.0)
!	r=(XINT**2.0+YINT**2.0)**(0.5)
!	if (r <= 0.0075) then
!		E=3.19*(10.0**9.0)
!	end if
!	Parameters for plane strain
	
	Q=E/((1+NU)*(1-2*NU))

	DDSDDE(1,1)=Q*(1-NU)
	DDSDDE(1,2)=NU*Q
	DDSDDE(2,1)=DDSDDE(1,2)
	DDSDDE(2,2)=Q*(1-NU)
	DDSDDE(1,3)=NU*Q
	DDSDDE(3,1)=DDSDDE(1,3)
	DDSDDE(2,3)=NU*Q
	DDSDDE(3,2)=DDSDDE(2,3)
	DDSDDE(4,4)=0.5*(1-2*NU)*Q
	

	return
	
	end
!
!

	